/***************************************************************************
 *   Copyright (C) 2004 by Roberto Raggi                                   *
 *   roberto@kdevelop.org                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Library General Public License as       *
 *   published by the Free Software Foundation; either version 2 of the    *
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU Library General Public     *
 *   License along with this program; if not, write to the                 *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "gdbprocess.h"

#include <qapplication.h>

int main(int argc, char *argv[])
{
    QApplication app(argc, argv, false);

    if (app.argc() == 1) {
        fprintf(stderr, "%s: no input file\n", app.argv()[0]);
        return -1;
    }

    GDBProcess gdb(true);
    gdb.start();

    QCString appName = app.argv()[1];
    gdb.pushCommand(QCString("file ") + appName);
    gdb.pushCommand("-break-insert main");
    gdb.pushCommand("-exec-run");
    gdb.pushCommand("-exec-next");
    gdb.pushCommand("-exec-next");
    gdb.pushCommand("-stack-list-frames");
    gdb.pushCommand("-exec-continue");
    gdb.pushCommand("-stack-list-frames");
    gdb.pushCommand("-gdb-exit");

    return app.exec();
}

